### Method

# Clutter Canvas set_scale_factor

#### Declaration [src]

    void
    clutter_canvas_set_scale_factor (
      ClutterCanvas* canvas,
      float scale
    )

#### Description [src]

Sets the scaling factor of the `canvas`, and invalidates the content.

This function will cause the `canvas` to be invalidated only if the scale factor of the canvas surface has changed.

Sets property | `Clutter.Canvas:scale-factor`

#### Parameters

`scale`

  Type: `float`

  The integer scaling factor of the canvas.